Subject: Re: bug#62994: [PATCH v5] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 19:45:01 +0200

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Sun, 10 Mar 2024 17:15:25 +0000
> 
> Po Lu <[email-masked]> writes:
> 
> > [email-masked] writes:
> >
> >> ++++
> >
> > Where's the documentation for this change?
> 
> Referring to the pluses themselves? Or I might be misunderstanding? I
> was trying to match the format of other records in this file. Many
> headings seemed to be followed by a mix of +++ or --- so I thought it
> was required? If not I'll just remove it.

The "+++" thingy means the manuals were updated for this change, which
is why Po Lu asked where are those updates.

> > We prefer to punctuate sentences within NEWS headings.
> 
> Added trailing period.
> 
> > What about GUI frames?  I don't want to see a display feature installed
> > before it is also implemented for the likes of X.
> 
> Is this absolutely necessary?

Not absolutely necessary, but very much preferred.  It is unheard of
in Emacs to have some face attribute that is supported on TTY frames
but not on GUI frames.

> > Here you have evidently typed `M-x tabify' with a comment selected.  Do
> > not insert tabs by whatever means within the body of a comment, although
> > it is best to indent the body itself with them, whenever possible.
> >
> > More indentation problems.
> 
> I had thought `M-x tabify` was supposed to normalize this to the Emacs
> code standards.

No, you should mark the region and then press C-M-\.